PostgreSQLの広範囲のバージョンに複数の脆弱性(CVE-2017-12172, CVE-2017-15098, CVE-2017-15099) — | サイオスOSS | サイオステクノロジー

PostgreSQLの広範囲のバージョンに複数の脆弱性(CVE-2017-12172, CVE-2017-15098, CVE-2017-15099) — | サイオスOSS | サイオステクノロジー
現在位置: ホーム / セキュリティ ブログ / PostgreSQLの広範囲のバージョンに複数の脆弱性(CVE-2017-12172, CVE-2017-15098, CVE-2017-15099)

PostgreSQLの広範囲のバージョンに複数の脆弱性(CVE-2017-12172, CVE-2017-15098, CVE-2017-15099)

11/10/2017にPostgreSQLの広範囲のバージョンに複数の脆弱性情報(CVE-2017-12172, CVE-2017-15098, CVE-2017-15099)とセキュリティアップデートが公開されました。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

11/10/2017にPostgreSQLに複数の脆弱性情報(CVE-2017-12172, CVE-2017-15098, CVE-2017-15099)とセキュリティアップデートが公開されました。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12172
    • データベース管理者がroot所有ファイルを変更できる権限が付与されるバグ

    • 重要度 - Moderate

    • 修正されたバージョン:10.1, 9.6.6, 9.5.10, 9.4.15, 9.3.20, 9.2.24

    • 以前のバージョンでは、startupログファイルがpostmaster(新しいリリースでは"postgres"です)によってオープンされる間では、プロセスが未だroot権限で動作していました。そのため、この間は、データベース所有者がroot権限でしかアクセスできないファイルにアクセスすることが出来、ファイルの中身をログに出力されているデータで書き換える事が可能でした。

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15098
    • JSON関数によるメモリ開示の問題

    • 重要度 - Moderate

    • 修正されたバージョン:10.1, 9.6.6, 9.5.10, 9.4.15, 9.3.20

    • 以前のバージョンで、JSON関数によるメモリ開示の問題が発見されました。詳細は追って追記します。

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15099
    • "INSERT ... ON CONFLICT DO UPDATE"へのSELECT権限強制の失敗

    • 重要度 - Moderate

    • 修正されたバージョン:10.1, 9.6.6, 9.5.10

    • 以前のバージョンでは、"INSERT ... ON CONFLICT DO UPDATE"は、実行ユーザが"SELECT"をインデックスに対して実行できる権限を持っているかのチェックが欠けていました。さらに、行レベルセキュリティが有効にされているテーブルでは、"INSERT ... ON CONFLICT DO UPDATE"はテーブルを更新する際のSELECTポリシがあるかどうかのチェックが欠けていました。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を 参考にして下さい。

また、関連するサービスの再起動が発生しますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

https://www.postgresql.org/about/news/1801/


セミナー情報

2017/11/29 19:00に、OSSセキュリティ技術の会 第二回勉強会を行います。

今回のテーマは新世代のOSS認証基盤です。

https://connpass.com/event/69314/がプログラム内容と申し込みの詳細になります。奮ってご参加下さい。

セキュリティ系連載案内

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

タグ:
OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン

----- EXTENDED BODY:

前へ

rsyslogの脆弱性情報(CVE-2017-12588) — | サイオスOSS | サイオステクノロジー

次へ

cryptsetup の、リブート時にコンソールからrootシェルを開かれる脆弱性 ( CVE-2016-4484 ) — | サイオスOSS | サイオステクノロジー